import request from '@/utils/request'

// 查询设备安装信息列表
export function listInstall(query) {
  return request({
    url: '/dms/install/list',
    method: 'get',
    params: query
  })
}

// 查询设备安装信息详细
export function getInstall(deviceInstallId) {
  return request({
    url: '/dms/install/' + deviceInstallId,
    method: 'get'
  })
}

// 新增设备安装信息
export function addInstall(data) {
  return request({
    url: '/dms/install',
    method: 'post',
    data: data
  })
}

// 修改设备安装信息
export function updateInstall(data) {
  return request({
    url: '/dms/install',
    method: 'put',
    data: data
  })
}

// 删除设备安装信息
export function delInstall(deviceInstallId) {
  return request({
    url: '/dms/install/' + deviceInstallId,
    method: 'delete'
  })
}
